[{block name="d3transferform_header"}]
    [{include file="headitem.tpl" title="D3_MULTIVAR_CFG_TITLE"|oxmultilangassign}]
[{/block}]

[{if $readonly}]
    [{assign var="readonly" value="readonly disabled"}]
[{else}]
    [{assign var="readonly" value=""}]
[{/if}]


<form name="transfer" id="transfer" action="[{$oViewConf->getSelfLink()}]" method="post">
    [{$oViewConf->getHiddenSid()}]
    <input type="hidden" name="oxid" value="[{$oxid}]">
    <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
    <input type="hidden" name="actshop" value="[{$shop->id}]">
    <input type="hidden" name="editlanguage" value="[{$editlanguage}]">
</form>
<form name="myedit" id="myedit" action="[{$oViewConf->getSelfLink()}]" method="post">
    <div>
        [{$oViewConf->getHiddenSid()}]
        <input type="hidden" name="cl" value="[{$oViewConf->getActiveClassName()}]">
        <input type="hidden" name="fnc" value="save">
        <input type="hidden" name="oxid" value="[{$oxid}]">
        <input type="hidden" name="value[d3_cfg_mod__oxid]" value="[{$oxid}]">

        [{include file="d3_cfg_mod_active.tpl"}]
    </div>

    [{if $oView->getValueStatus() == 'error'}]
        <hr>
        <strong>[{oxmultilang ident="D3_CFG_MOD_GENERAL_NOCONFIG_DESC"}]</strong>
        <br><br>
        <span class="d3modcfg_btn fixed icon status_attention">
            <input type="submit" value="[{oxmultilang ident="D3_CFG_MOD_GENERAL_NOCONFIG_BTN"}]">
            <span></span>
        </span>
    [{else}]
        <fieldset style="border: 1px solid #646464;">
            <legend>
                <strong>[{oxmultilang ident="D3_TRANSFERFORM_MAIN"}] [{oxinputhelp ident="D3_TRANSFERFORM_MAIN_GENEREL_HELP"}]</strong>
            </legend>
            <table>
                [{block name="d3transferform_views_admin_tpl_mainSettings"}]
                    <tr>
                        <td>
                            [{assign var="sSettings" value=""}]
                            [{if $mSettings->d3_cfg_mod__sTransferform_CompanyName}]
                                [{assign var="sSettings" value=$mSettings->d3_cfg_mod__sTransferform_CompanyName}]
                            [{/if}]
                            <input id="companyName" class="edittext ext_edittext"
                                   style="padding-left: 5px; min-width:300px"
                                   type="text" name="value[d3_cfg_mod__sTransferform_CompanyName]"
                                   value='[{$sSettings}]' [{$readonly}]>
                        </td>
                        <td>
                            [{oxinputhelp ident="D3_TRANSFERFORM_ALTEWRNATIVE_COMPANY_NAME_DESC"}]
                            <label for="companyName">
                                [{oxmultilang ident="D3_TRANSFERFORM_ALTEWRNATIVE_COMPANY_NAME"}]
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            [{assign var="sSettings" value=""}]
                            [{if $mSettings->d3_cfg_mod__sTransferform_referenceLine1}]
                                [{assign var="sSettings" value=$mSettings->d3_cfg_mod__sTransferform_referenceLine1}]
                            [{/if}]
                            <input id="referenceLine1" class="edittext ext_edittext"
                                   style="padding-left: 5px; min-width:300px"
                                   type="text" name="value[d3_cfg_mod__sTransferform_referenceLine1]"
                                   value='[{$sSettings}]' [{$readonly}]>
                        </td>
                        <td>
                            [{oxinputhelp ident="D3_TRANSFERFORM_REFERENCE_LINE1_DESC"}]
                            <label for="referenceLine1">
                                [{oxmultilang ident="D3_TRANSFERFORM_REFERENCE_LINE1"}]
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            [{assign var="sSettings" value=""}]
                            [{if $mSettings->d3_cfg_mod__sTransferform_referenceLine2}]
                                [{assign var="sSettings" value=$mSettings->d3_cfg_mod__sTransferform_referenceLine2}]
                            [{/if}]
                            <input id="referenceLine2" class="edittext ext_edittext"
                                   style="padding-left: 5px; min-width:300px"
                                   type="text" name="value[d3_cfg_mod__sTransferform_referenceLine2]"
                                   value='[{$sSettings}]' [{$readonly}]>
                        </td>
                        <td>
                            [{oxinputhelp ident="D3_TRANSFERFORM_REFERENCE_LINE2_DESC"}]
                            <label for="referenceLine2">
                                [{oxmultilang ident="D3_TRANSFERFORM_REFERENCE_LINE2"}]
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            [{assign var="sSettings" value=""}]
                            [{if $mSettings->d3_cfg_mod__ad3Transferform_paymentIds}]
                                [{assign var="sSettings" value=$mSettings->d3_cfg_mod__ad3Transferform_paymentIds}]
                            [{/if}]
                            <textarea name="value[d3_cfg_mod__ad3Transferform_paymentIds]"
                                      id="aTransferform_paymentIds"
                                      style="padding-left: 5px; min-width:300px"
                                      rows="5" [{$readonly}]>[{$sSettings}]</textarea>
                        </td>
                        <td>
                            [{oxinputhelp ident="D3_TRANSFERFORM_PAYMENT_IDS_DESC"}]
                            <label for="aTransferform_paymentIds">
                                [{oxmultilang ident="D3_TRANSFERFORM_PAYMENT_IDS"}]
                            </label>
                        </td>
                    </tr>
                [{/block}]
            </table>
        </fieldset>
    [{/if}]
    <table>
        <tr>
            <td class="edittext ext_edittext"><br>
                [{block name="d3transferform_views_admin_tpl_generalSave"}]
                    <span class="d3modcfg_btn icon status_ok">
                        <input type="submit" name="save" style="width: 150px;"
                               value="[{oxmultilang ident="D3_CFG_MOD_GENERAL_SAVE"}]" [{$readonly}]>
                        <span></span>
                    </span>
                [{/block}]
            </td>
        </tr>
    </table>
</form>

[{block name="d3transferform_footer"}]
    [{include file="d3_cfg_mod_inc.tpl"}]
[{/block}]